## org.eclipse.datatools.connectivity.sqm.core.definition
Interface MetaDataExtension

    public interface MetaDataExtension

Method Summary
`int` `getMaximumIdentifierLength(SQLObject sqlObject)`
`EClass` `getMetaClass(java.lang.String metaClassName)`

Method Detail

### getMaximumIdentifierLength

    int getMaximumIdentifierLength(SQLObject sqlObject)

### getMetaClass

    EClass getMetaClass(java.lang.String metaClassName)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.